/*
   BigArray.Prg: test to create a large array

   Note:

   This will exercise VMM seriously! Make sure you run it on
   a disk with plenty of free space!


   compile with /n/w/a

*/

FUNCTION MAIN
LOCAL i := 1, j := 1, k := 1000
LOCAL aArray[ k ]
? MEMORY(0)
? MEMORY(1)
? MEMORY(2)
WAIT "Any key to begin test"

CLEAR SCREEN
AFILL( aArray, {} )
FOR i = 1 TO k
    @ 0,0 SAY      "Building array #" + STR( i )
    /* leave this line out and get very bizarre results! */
    aArray[ i ] := {}
    FOR j = 1 TO k
        @ 1, 0 SAY "Adding element #" + STR( j )
        Aadd( aArray[ i ], (k * i + j) )
        @ 2, 0 SAY "Value:          " + STR( aArray[ i, j ] )
        @ 10,10 SAY "Memory available: " + STR( MEMORY(0) )
        @ 12,10 SAY "Largest block:    " + STR( MEMORY(1) )
        @ 14,10 SAY "Available for RUN:" + STR( MEMORY(2) )
    NEXT
NEXT
WAIT
RETURN NIL

