Listing 2
RBLANK Function

FUNCTION rblank
PRIVATE f_name, i, rvalue

***  Function blanks out all data in all fields of
***  the current record of the currently selected
***  data table

rvalue = .t.

IF len(alias()) = 0 .or. reccount() = 0
  junk = poptalk('No working data table open in '+;
                 'current work area.  RBLANK '+;
                 'will not work.')
  junk = inkey(3)
  RELEASE WINDOW pop_talk
  rvalue = .f.
ELSE
  i = 1

  DO WHILE len(field(i)) # 0    &&  for all fields
    f_name = field(i)           &&  field name

    DO CASE

      CASE type(f_name) = 'C'  &&  character data
        REPLACE &f_name WITH ''

      CASE type(f_name) = 'N' .or. ;
           type(f_name) = 'F'    &&  numeric data
        REPLACE &f_name WITH 0

      CASE type(f_name) = 'D'    &&  date data
        REPLACE &f_name WITH ctod('  /  /  ')

      CASE type(f_name) = 'L'    &&  logical data
        REPLACE &f_name WITH .f.

      CASE type(f_name) = 'M'    &&  memo field
        REPLACE &f_name WITH ''

    ENDCASE

    i = i + 1              &&  increment counter

  ENDDO

ENDIF

RETURN(rvalue)

********

