Listing 3
ADD_REC Function

FUNCTION add_rec
PRIVATE s_delete, rvalue

***  Function searches for a record deleted using
***  DELE_REC.  If one is found it returns FALSE.
***  If no record is found, the function appends a
***  record to the data table and returns TRUE.

IF len(alias()) = 0
  junk = poptalk('Function ADD_REC asked to '+;
                 'add a record to an open '+;
                 'work area.  Get serious!  '+;
                 'Program aborting.')
  junk = inkey(3)
  CLOSE ALL
  CLEAR ALL
  CANCEL
ELSE 
  s_delete =  set('deleted') = 'ON'  
  SET DELETED OFF      &&  set it off

  IF len(order()) # 0  &&  if any index is active
    GO TOP             &&  go to top of file

    IF .not. deleted() &&  if no deleted record
      APPEND BLANK     &&  append a blank
      rvalue = .t.
    ELSE               &&  deleted record exists
      RECALL           &&  make it active again
      rvalue = .f.
    ENDIF

  ELSE                 &&  no index active
    GO TOP
    LOCATE FOR deleted()

    IF found()         &&  deleted record found
      RECALL           &&  undelete the record
      rvalue = .f.
    ELSE               &&  if not found
      APPEND BLANK     &&  add a new record
      rvalue = .t.
    ENDIF

  ENDIF

ENDIF

IF s_delete                   &&  flagged to be on
  SET DELETED on              &&  set it on
ENDIF

RETURN(rvalue)

********

